OpenVDB 3.2.0

Classes | Namespaces | Functions
VolumeToSpheres.h File Reference
`#include <openvdb/tree/ValueAccessor.h>`
`#include <openvdb/tree/LeafManager.h>`
`#include <openvdb/tools/Morphology.h>`
`#include <openvdb/tools/PointScatter.h>`
`#include <openvdb/tools/LevelSetUtil.h>`
`#include <openvdb/tools/VolumeToMesh.h>`
`#include <boost/scoped_array.hpp>`
`#include <boost/scoped_ptr.hpp>`
`#include <tbb/blocked_range.h>`
`#include <tbb/parallel_for.h>`
`#include <tbb/parallel_reduce.h>`
`#include <vector>`
`#include <limits>`

Go to the source code of this file.

## Classes
class | ClosestSurfacePoint< GridT >
| Accelerated closest surface point queries for narrow band level sets. Supports queries that originate at arbitrary world-space locations, is not confined to the narrow band region of the input volume geometry. More...
struct | PointAccessor
class | LeafBS< Index32LeafT >
class | NodeBS
class | ClosestPointDist< Index32LeafT >
class | UpdatePoints

## Namespaces
| openvdb
| openvdb::v3_2_0
| openvdb::v3_2_0::tools
| openvdb::v3_2_0::tools::internal

## Functions
template<typename GridT , typename InterrupterT >
void | fillWithSpheres (const GridT &grid, std::vector< openvdb::Vec4s > &spheres, int maxSphereCount, bool overlapping=false, float minRadius=1.0, float maxRadius=std::numeric_limits< float >::max(), float isovalue=0.0, int instanceCount=10000, InterrupterT *interrupter=NULL)
| Threaded method to fill a closed level set or fog volume with adaptively sized spheres. More...
template<typename GridT >
void | fillWithSpheres (const GridT &grid, std::vector< openvdb::Vec4s > &spheres, int maxSphereCount, bool overlapping=false, float minRadius=1.0, float maxRadius=std::numeric_limits< float >::max(), float isovalue=0.0, int instanceCount=10000)
| `fillWithSpheres` method variant that automatically infers the util::NullInterrupter. More...